include ../makefile.inc

DOC_DIR=../output/doc/
DOC_TITLE="TR181 Hosts Data Model"
DOC_SUB_TITLE="Hosts"

doc: xml html confluence

xml:
	mkdir -p $(DOC_DIR)/xml
	amxo-cg -Gxml,$(DOC_DIR)/xml ../odl/hosts-manager.odl

html: xml
	mkdir -p $(DOC_DIR)/html
	amxo-xml-to -x html \
				-o output-dir=../output/doc/html/ \
				-o title=$(DOC_TITLE) \
				-o version=$(VERSION) \
				-o sub-title=$(DOC_SUB_TITLE) \
				../output/doc/xml/*.xml

confluence: xml
	mkdir -p $(DOC_DIR)/confluence
	amxo-xml-to -x confluence \
				-o output-dir=../output/doc/confluence \
				-o title=$(DOC_TITLE) \
				-o version=$(VERSION) \
				-o sub-title=$(DOC_SUB_TITLE) \
				../output/doc/xml/*.xml


clean:
	rm -rf $(DOC_DIR)

.PHONY: xml html confluence doc clean

